require 'helper'

class TestTransisLogger < Test::Unit::TestCase
  def setup
    @output = StringIO.new
    @logger = TransisLogger.new(@output)
  end

  def test_transis_logger_contains_a_timestamp
    log_message = test_message "Hey a thing happened"
    assert log_message =~ /\w\w\w \d\d\/\d\d\/\d\d \d\d:\d\d:\d\d/
  end

  def test_transis_logger_doesnt_strip_newlines
    log_message = test_message "Hey\na thing happened"
    assert log_message =~ /\n/
  end

  def test_message(message)
    @log_message = message
    @logger.info(@log_message)
    # puts @output.string
    @output.string
  end
end
